Bug 88344 - IBM Trackpoint freezes USB input system
IBM Trackpoint freezes USB input system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-09 02:19 EDT by James Cook
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version: FC 2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-16 00:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Portion of /var/log/messages dealing with the failure (4.73 KB, text/plain)
2003-04-09 02:19 EDT, James Cook
no flags Details

  None (edit)
Description James Cook 2003-04-09 02:19:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3) Gecko/20030312

Description of problem:
When I plug the keyboard into my current RedHat install, the USB ports stop
responding.  I've also attempted to upgrade the installation to RedHat 9 but the
installer stops responding to the keyboard as soon as the Kernel takes over
responsibilities for the keyboard.  I'll attach a copy of the relevant portion
of /var/log/messages.

How reproducible:
Always

Steps to Reproduce:
1. Plug in the keyboard
2. Watch as all der blinkenlights on the optical mouse turn off
3. ...
4. Profit?
    
Additional info:

Note that the BIOS can operate the keyboard just fine and Windows (which I'm
using to post the message) can handle the keyboard also.  :(
Comment 1 James Cook 2003-04-09 02:19:56 EDT
Created attachment 91029 [details]
Portion of /var/log/messages dealing with the failure
Comment 2 James Cook 2003-04-09 02:23:31 EDT
Oh, here's a link to the product information on IBM's website:

http://www-3.ibm.com/pc/support/site.wss/MIGR-4WKSWX.html
Comment 3 James Cook 2004-07-16 00:38:22 EDT
As it happens, the 2.6 kernels (such as in FC2) work fine with this
keyboard now.

Note You need to log in before you can comment on or make changes to this bug.